/* eslint-disable no-undef */
import {extendInclude, extendRule} from "../../utils/common";

/**
 * @return {string}
 */

export default {
  onChange: ({value,colInfo,getFieldValue,setFieldValue,setFieldEditable}) => {


  },
  onFetchAutoFilter:({colInfo,params,getFieldValue})=>{

  },
  onBeforeEdit:({isNew,getFieldValue,setFieldValueByBatch,setFieldEditable})=>{
    if(!isNew){
        setFieldEditable('CODE', false);
        setFieldEditable('PARTIONS', false);
        setFieldEditable('REP_FACTPR', false);
        setFieldEditable('Nav_Monitoring.IP', false);
        setFieldEditable('SAVE_TYPE', false);
    }

  },
  onBeforeSave:({data,getFieldValue,setFieldValue})=>{
  },
}